scala.tools.nsc.transform.TailCalls.TailCallElimination

# EmptyTailContext

#### object EmptyTailContext extends TailContext

Source
  TailCalls.scala

Linear Supertypes
TailContext, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. EmptyTailContext
2. TailContext
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def enclosingType: Global.Type

   Definition Classes
     TailContext

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### def isEligible: Boolean

    Definition Classes
      TailContext

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isMandatory: Boolean

    Definition Classes
      TailContext

15. #### def isTransformed: Boolean

    Definition Classes
      TailContext

16. #### def label: Global.NoSymbol

    Definition Classes
      EmptyTailContext → TailContext

17. #### def method: Global.NoSymbol

    Definition Classes
      EmptyTailContext → TailContext

18. #### def methodPos: NoPosition.type

    Definition Classes
      EmptyTailContext → TailContext

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def newThis(pos: Global.Position): Global.TermSymbol

    Definition Classes
      TailContext

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def tailLabels: Set[Global.Symbol]

    Definition Classes
      EmptyTailContext → TailContext

25. #### def tailPos: Boolean

    Definition Classes
      EmptyTailContext → TailContext

26. #### def toString(): String

    Definition Classes
      TailContext → AnyRef → Any

27. #### def tparams: collection.immutable.Nil.type

    Definition Classes
      EmptyTailContext → TailContext

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TailContext

### Inherited from AnyRef

### Inherited from Any

### Ungrouped